Summary:	Xpra persistent remote display
Name:		xpra
Version:	2.0.2
Release:	%mkrel 1
Source0:	https://xpra.org/src/%{name}-%{version}.tar.xz
License:	GPLv2+ and BSD and LGPLv3+ and MIT
Group:		Networking/Remote access
Url:		https://xpra.org/
BuildRequires:	python3-setuptools
BuildRequires:	python3-devel
BuildRequires:	python3-cython
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(pycairo)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(vpx)
BuildRequires:	python3-cairo
BuildRequires:	python3-gobject3
Requires:	x11-driver-video-dummy

%description
Xpra is an open-source multi-platform persistent remote display server
and client for forwarding applications and desktop screens.

It gives you remote access to individual applications or full desktops.

On X11, it is also known as screen for X11: it allows you to run
programs, usually on a remote host, direct their display to your local
machine, and then to disconnect from these programs and reconnect from
the same or another machine, without losing any state.
It can also be used to forward full desktops, from X11 servers, MS
Windows, or Mac OS X.

Xpra also allows forwarding of sound, clipboard and printing services.
Sessions can be accessed over SSH, or password protected over plain
TCP sockets with or without SSL.
Xpra is usable over reasonably slow links and does its best to adapt
to changing network bandwidth constraints.

%prep
%setup -q
%autopatch -p1

%build
%global py_setup_args --with-Xdummy --with-Xdummy_wrapper
%py3_build

%install
%py3_install
rm -f %{buildroot}%{_datadir}/%{name}/{COPYING,README}

%pre
getent group %{name} >/dev/null || groupadd -r %{name}

%files
%doc  COPYING README NEWS
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/xorg.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%dir %{_sysconfdir}/%{name}/conf.d
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/*.conf
%{_bindir}/%{name}
%{_bindir}/%{name}_launcher
%{_bindir}/%{name}_Xdummy
%{_prefix}/lib/cups/backend/xpraforwarder
%{_prefix}/lib/tmpfiles.d/%{name}.conf
%{python3_sitearch}/%{name}
%{python3_sitearch}/%{name}-*.egg-info
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}_launcher.desktop
%{_iconsdir}/%{name}.png
%{_mandir}/man1/%{name}*.1*
%{_datadir}/mime/packages/application-x-%{name}config.xml
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/www
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/*.png


%changelog
* Mon Jun 05 2017 blino <blino> 2.0.2-1.mga6
+ Revision: 1106842
- Explicitely enable Xdummy (not to depend on dummy driver on build host)
- buildrequire pkgconfig(pycairo)
- buildrequire cython
- Initial xpra package
- Created package structure for xpra.

